<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<!-- <div> tag creates a container element that is used. -->
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>

		<main>
			<section>
			<div id="section">
					<h2>HTML Entities</h2>
					<p>
						<em>Reserved characters in HTML e.g &lt; or &gt; characters that can mix up with HTML code</em>
					</p>


						<!-- <table> tag - defines an HTML table that allow data in tabular format -->
					<table border="1">
						<!-- <thead> -use to group header content in a HTML Table -->
						<thead>
							<!-- <tr> tag - defines a table row -->
							<tr>
								<!-- <th> ta - defines a table header element -->
								<!-- colspan attributes - changes the amount of element will occupy (rowspan) -->
								<th colspan="2">Entity</th>
								<th>Description</th>
							</tr>
						</thead>

						<!-- <tbody> tag - used to group body content in a HTML Table -->
						<tbody>
							<tr>
								<td>&lt;</td>
								<td>lt</td>
								<td>less than</td>
							</tr>
							<tr>
								<td>&gt;</td>
								<td>gt</td>
								<td>greater than</td>
							</tr>
							<tr>
								<td>&#8369;</td>
								<td>8369</td>
								<td>Peso sign</td>
							</tr>
							<tr>
								<td>&amp;</td>
								<td>amp</td>
								<td>ampersand</td>
							</tr>
							<tr>
								<td>&quot;</td>
								<td>quot</td>
								<td>double quotation mark</td>
							</tr>
							<tr>
								<td>&apos;</td>
								<td>apos</td>
								<td>single quotation-apostrophe</td>
							</tr>
							<tr>
								<td>&ntilde;</td>
								<td>ntilde</td>
								<td>lower tilde</td>
							</tr>
							<tr>
								<td>&Ntilde;</td>
								<td>Ntilde</td>
								<td>upper tilde</td>
							</tr>

						</tbody>
						<tfoot>
							<tr>
								<th colspan="3">List of HTML Entities</th>
							</tr>
						</tfoot>
					</table>
			</div>
			</section>

			<div id="main">
			<div id="section">
				<h2>HTML Forms</h2>
				<p>
					<em>Input elements that make up a form.</em>
				</p>

				<form action="https://google.com">
					<label for="full_name">Full Name:</label><br>
					<input type="text" name="" id="full_name" required autocomplete=""><br>

					<label>Birth Date:</label><br>
					<input type="date" name="birth_date" id="birth_date" required><br>

					<label for="gender">Gender:</label>
					<select name="gender" id="gender" required>
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select><br>

					<label for="notes">Notes:</label><br>
					<textarea name="notes" id="notes" rows="5"></textarea><br>


					<label for="New User">New User:</label><br>
					<input type="radio" name="new_user" id="user-type1">
					<label for="user-type1">Yes</label><br>

					<input type="radio" name="new_user" id="user-type2">
					<label for="user-type2">No</label><br><br>


					<label>Role:</label><br>
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label><br>


					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label><br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role3">Manager</label><br><br>



					<button type="submit">Submit</button><br>
					<button type="reset">Reset</button>		
				</form>
			</div>
			</div>
		

		
		<!-- end of html table discussion -->

		

	</body>
</html>